SYSINST(8) | System Manager's Manual | SYSINST(8)

# NAME

sysinst — install or upgrade a NetBSD system

# SYNOPSIS

sysinst | [-D] [-f deffile] [-r releasename]

# DESCRIPTION

sysinst is a menu-based program that may be used to install or upgrade a NetBSD system. It is usually invoked automatically when the system is booted from appropriate installation media.

sysinst is usually not present on a NetBSD system that has been fully installed.

# OPTIONS

-D
  Switch on debugging.
-r releasename
  Set the releasename if it is different to the one compiled. Currently unused.
-f deffile
  Set a file for definitions other than the defaults. See DEFINITION FILE for its format.

# DEFINITION FILE

The definition file is used to set several other names and directories to search for. You can specify any of the options in the file. They are stored as:

> `option = value`

pairs. In this description, REL and MACH are the release and architecture respectively, determined by the image sysinst is used on.

option name | default value | description
release | REL | Release name (also set by -r releasename).
machine | MACH | Machine architecture
xfer dir | /usr/INSTALL | Transfer dir
ext dir |  | Extract dir (will usually be set later on)
ftp host | ftp.NetBSD.org | ftp host for fetching files
ftp dir | pub/NetBSD/NetBSD-REL | ftp directory for fetching files
ftp prefix | /MACH/binary/sets | directory to look for sets. Note that this is used for all kinds of fetching (CDs, local FS, ...), not only ftp.
ftp user | ftp | ftp user for connecting
ftp pass | - | ftp password
ftp proxy | - | ftp proxy
nfs host | - | nfs host for fetching via nfs
nfs dir | /bsd/release | nfs directory for fetching files
cd dev | cd0a | name of the CD device for fetching files
fd dev | /dev/fd0a | name of floppy for fetching files
local dev | - | Other device to be mounted for fetching files
local fs | ffs | FS-type for local dev
local dir | release | Directory to look for in the mounted local fs
targetroot mount | /targetroot | Directory to mount target root dir to
dist postfix | .tgz | Suffix of set files to be extracted
diskname | mydisk | disktab(5) diskname to use for target disk

# SEE ALSO

release(7), afterboot(8), boot(8), diskless(8)

<machine>/INSTALL.* files on CD-ROM installation media .../NetBSD-<rel>/<machine>/INSTALL.* files in NetBSD releases or snapshots.

# HISTORY

A sysinst command appeared in NetBSD 1.3.

September 17, 2011 | NetBSD 6.0